action.configuration.eca_vbo_execute:
  type: mapping
  label: 'VBO: Trigger Views Bulk Operation event'
  mapping:
    operation_name:
      type: string
      lable: 'Operation name'

action.configuration.eca_vbo_set_custom_access:
  type: mapping
  label: 'VBO: Set custom access on Views Bulk Operation'
  mapping:
    access_granted:
      type: boolean
      label: 'Access granted'

action.configuration.eca_vbo_get_config_value:
  type: eca_action_configuration
  label: 'VBO: Get configuration value'

action.configuration.eca_vbo_set_result:
  type: eca_action_configuration
  label: 'Action VBO: Set result'

action.configuration.eca_vbo_get_views_argument:
  type: eca_action_configuration
  label: 'Action VBO: Get Views argument'

views.field.eca_vbo_bulk_form:
  type: views.field.views_bulk_operations_bulk_form
